BioSQLFeatureFilter.BySourceTermName (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.db.biosql.BioSQLFeatureFilter.BySourceTermName class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.db.biosql
Class BioSQLFeatureFilter.BySourceTermName

    java.lang.Object
      org.biojavax.bio.db.biosql.BioSQLFeatureFilter.HibernateFeatureFilter
          org.biojavax.bio.db.biosql.BioSQLFeatureFilter.BySourceTermName

All Implemented Interfaces:
  Serializable, FeatureFilter, BioSQLFeatureFilter

Enclosing interface:
  BioSQLFeatureFilter

    public static final class BioSQLFeatureFilter.BySourceTermName

extends BioSQLFeatureFilter.HibernateFeatureFilter

Construct one of these to filter features by source (name only - parent ontology is ignored).

Since:
  1.5
Author:
  Richard Holland
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.db.biosql.BioSQLFeatureFilter
`BioSQLFeatureFilter.And, BioSQLFeatureFilter.ByName, BioSQLFeatureFilter.ByNote, BioSQLFeatureFilter.ByNoteTermOnly, BioSQLFeatureFilter.ByRank, BioSQLFeatureFilter.BySequenceName, BioSQLFeatureFilter.BySourceTerm, BioSQLFeatureFilter.BySourceTermName, BioSQLFeatureFilter.ByStrand, BioSQLFeatureFilter.ByTypeTerm, BioSQLFeatureFilter.ByTypeTermName, BioSQLFeatureFilter.ContainedByRichLocation, BioSQLFeatureFilter.HibernateFeatureFilter, BioSQLFeatureFilter.Not, BioSQLFeatureFilter.Or, BioSQLFeatureFilter.OverlapsRichLocation, BioSQLFeatureFilter.Tools`

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureFilter
`FeatureFilter.AnnotationContains, FeatureFilter.ByAncestor, FeatureFilter.ByAnnotation, FeatureFilter.ByAnnotationType, FeatureFilter.ByChild, FeatureFilter.ByClass, FeatureFilter.ByComponentName, FeatureFilter.ByDescendant, FeatureFilter.ByFeature, FeatureFilter.ByPairwiseScore, FeatureFilter.ByParent, FeatureFilter.BySource, FeatureFilter.ByType, FeatureFilter.ContainedByLocation, FeatureFilter.FrameFilter, FeatureFilter.HasAnnotation, FeatureFilter.OnlyChildren, FeatureFilter.OnlyDescendants, FeatureFilter.OverlapsLocation, FeatureFilter.ShadowContainedByLocation, FeatureFilter.ShadowOverlapsLocation, FeatureFilter.StrandFilter`

Field Summary

Fields inherited from class org.biojavax.bio.db.biosql.BioSQLFeatureFilter.HibernateFeatureFilter
`and, conjunctAdd, conjunction, disjunctAdd, disjunction, eq, ge, le, not, or`

Fields inherited from interface org.biojavax.bio.db.biosql.BioSQLFeatureFilter
`all, none`

Fields inherited from interface org.biojava.bio.seq.FeatureFilter
`leaf, top_level`

Constructor Summary
`BioSQLFeatureFilter.BySourceTermName(String sourceTermName)` Create a BySourceTerm filter that filters in all features with sourceTerm fields having name equal to sourceTermName.

Method Summary
`boolean` | `accept(Feature f)` Returns true if the feature has a matching source property.
`Object` | `asCriterion()` This method returns a Hibernate Criterion object that can be used to query the database.
`Map` | `criterionAliasMap()` Returns a map of property names (keys) to aliases (values), if the criterion returned by asCriterion() uses aliases at all.
`boolean` | `equals(Object o)`
`String` | `getSourceTermName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BioSQLFeatureFilter.BySourceTermName

    public BioSQLFeatureFilter.BySourceTermName(String sourceTermName)

  Create a BySourceTerm filter that filters in all features with sourceTerm fields having name equal to sourceTermName.

  Parameters:
    `sourceTermName` - the name of the Term to match sourceTerm fields against

Method Detail

### getSourceTermName

    public String getSourceTermName()

### accept

    public boolean accept(Feature f)

  Returns true if the feature has a matching source property.

  Parameters:
    `f` - the Feature to evaluate
  Returns:
    true if this feature is to be selected in, or false if it is to be ignored

### asCriterion

    public Object asCriterion()

  Description copied from interface: `BioSQLFeatureFilter`
  This method returns a Hibernate Criterion object that can be used to query the database.

  Returns:
    a Hibernate Criterion object representing this filter.

### criterionAliasMap

    public Map criterionAliasMap()

  Description copied from interface: `BioSQLFeatureFilter`
  Returns a map of property names (keys) to aliases (values), if the criterion returned by asCriterion() uses aliases at all. If not, then it must at least return the empty map else you'll get NullPointerExceptions thrown elsewhere.

  Specified by:
    `criterionAliasMap` in interface `BioSQLFeatureFilter`
  Overrides:
    `criterionAliasMap` in class `BioSQLFeatureFilter.HibernateFeatureFilter`
  Returns:
    Map a map of property names to aliases used in the criterion.

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD